#pragma once
#ifndef DISPLAY_COLORS_STRUCTS_H
#define DISPLAY_COLORS_STRUCTS_H

struct DISPLAYCOLORNODE
{
    unsigned char version;
    unsigned char cnt;
    unsigned char temp[2];
    unsigned int ptrColorArray;
};

#define DISPLAYCOLOR_0                    0      // Standard, Standardwerte: Hintergrund
#define DISPLAYCOLOR_1                    1      // Standard, Standardwerte: Vordergrund
#define DISPLAYCOLOR_2                    2      // Kopfzeile System, Datum mit Uhrzeit: Schrift Hintergrund
#define DISPLAYCOLOR_3                    3      // Kopfzeile System, Datum mit Uhrzeit: Schrift
#define DISPLAYCOLOR_4                    4      // Kopfzeile System, Akkusymbol: Symbol Hintergrund
#define DISPLAYCOLOR_5                    5      // Kopfzeile System, Akkusymbol: Symbol
#define DISPLAYCOLOR_6                    6      // Kopfzeile System, Akkusymbol: Ladezustand: Gut
#define DISPLAYCOLOR_7                    7      // Kopfzeile System, Akkusymbol: Ladezustand: Niedrig
#define DISPLAYCOLOR_8                    8      // Kopfzeile System, Sonstige Symbole: Symbol Hintergrund
#define DISPLAYCOLOR_9                    9      // Kopfzeile System, Sonstige Symbole: Symbol
#define DISPLAYCOLOR_10                   10     // Menues, Kopfzeile 1 und 2: Symbol Hintergrund
#define DISPLAYCOLOR_11                   11     // Menues, Kopfzeile 1 und 2: Symbol
#define DISPLAYCOLOR_12                   12     // Menues, Kopfzeile 1 und 2: Schrift Hintergund
#define DISPLAYCOLOR_13                   13     // Menues, Kopfzeile 1 und 2: Schrift
#define DISPLAYCOLOR_14                   14     // Menues, Auswahlzeilen 1 bis 4: Symbol Hintergrund
#define DISPLAYCOLOR_15                   15     // Menues, Auswahlzeilen 1 bis 4: Symbol
#define DISPLAYCOLOR_16                   16     // Menues, Auswahlzeilen 1 bis 4: Schrift Hintergund
#define DISPLAYCOLOR_17                   17     // Menues, Auswahlzeilen 1 bis 4: Schrift
#define DISPLAYCOLOR_18                   18     // Menues, Fußzeile: Symbol Hintergrund
#define DISPLAYCOLOR_19                   19     // Menues, Fußzeile: Symbol
#define DISPLAYCOLOR_20                   20     // Menues, Fußzeile: Schrift Hintergund
#define DISPLAYCOLOR_21                   21     // Menues, Fußzeile: Schrift
#define DISPLAYCOLOR_22                   22     // Eingabe, Kopfzeile 1 und 2: Symbol Hintergrund
#define DISPLAYCOLOR_23                   23     // Eingabe, Kopfzeile 1 und 2: Symbol
#define DISPLAYCOLOR_24                   24     // Eingabe, Kopfzeile 1 und 2: Schrift Hintergund
#define DISPLAYCOLOR_25                   25     // Eingabe, Kopfzeile 1 und 2: Schrift
#define DISPLAYCOLOR_26                   26     // Eingabe, Auswahlzeilen 1 bis 4: Symbol Hintergrund
#define DISPLAYCOLOR_27                   27     // Eingabe, Auswahlzeilen 1 bis 4: Symbol
#define DISPLAYCOLOR_28                   28     // Eingabe, Auswahlzeilen 1 bis 4: Schrift Hintergund
#define DISPLAYCOLOR_29                   29     // Eingabe, Auswahlzeilen 1 bis 4: Schrift
#define DISPLAYCOLOR_30                   30     // Eingabe, Fußzeile: Symbol Hintergrund
#define DISPLAYCOLOR_31                   31     // Eingabe, Fußzeile: Symbol
#define DISPLAYCOLOR_32                   32     // Eingabe, Fußzeile: Schrift Hintergund
#define DISPLAYCOLOR_33                   33     // Eingabe, Fußzeile: Schrift
#define DISPLAYCOLOR_34                   34     // Bios, Kopfzeile 1 und 2: Symbol Hintergrund
#define DISPLAYCOLOR_35                   35     // Bios, Kopfzeile 1 und 2: Symbol
#define DISPLAYCOLOR_36                   36     // Bios, Kopfzeile 1 und 2: Schrift Hintergund
#define DISPLAYCOLOR_37                   37     // Bios, Kopfzeile 1 und 2: Schrift
#define DISPLAYCOLOR_38                   38     // Bios, Auswahlzeilen 1 bis 4: Symbol Hintergrund
#define DISPLAYCOLOR_39                   39     // Bios, Auswahlzeilen 1 bis 4: Symbol
#define DISPLAYCOLOR_40                   40     // Bios, Auswahlzeilen 1 bis 4: Schrift Hintergund
#define DISPLAYCOLOR_41                   41     // Bios, Auswahlzeilen 1 bis 4: Schrift
#define DISPLAYCOLOR_42                   42     // Bios, Fußzeile: Symbol Hintergrund
#define DISPLAYCOLOR_43                   43     // Bios, Fußzeile: Symbol
#define DISPLAYCOLOR_44                   44     // Bios, Fußzeile: Schrift Hintergund
#define DISPLAYCOLOR_45                   45     // Bios, Fußzeile: Schrift
#define DISPLAYCOLOR_46                   46     // Sonstiges, Systemstart / Systemstopp: Symbole und Schrift Hintergrund
#define DISPLAYCOLOR_47                   47     // Sonstiges, Systemstart / Systemstopp: Symbole und Schrift
#define DISPLAYCOLOR_48                   48     // Sonstiges, Fortschrittsanzeige: Symbole und Schrift Hintergrund
#define DISPLAYCOLOR_49                   49     // Sonstiges, Fortschrittsanzeige: Symbole und Schrift
#define DISPLAYCOLOR_COUNT                50     // Gesamtanzahl Farbdefinitionen

struct DISPLAYCOLOR
{
    unsigned char id;        // Farbcode der angibt was die Farbe definiert.
    unsigned char r;         // Rotanteil der Gesamtfarbe.
    unsigned char g;         // Gruenanteil der Gesamtfarbe.
    unsigned char b;         // Blauanteil der Gesamtfarbe.
};

#endif
